version: "3"

services:
  webserver:
    build: 
      context: ./bin/webserver
    container_name: '7.4.x-webserver'
    restart: 'always'
    ports:
      - "${HOST_MACHINE_UNSECURE_HOST_PORT}:80"
      - "${HOST_MACHINE_SECURE_HOST_PORT}:443"
    volumes: 
      - ${DOCUMENT_ROOT-./www}:/var/www/html
      - ${PHP_INI-./config/php/php.ini}:/usr/local/etc/php/php.ini
      - ${VHOSTS_DIR-./config/vhosts}:/etc/apache2/sites-enabled
      - ${LOG_DIR-./logs/apache2}:/var/log/apache2
    networks:
      - redis-compose-network
    links:
        - 'redis'
  redis:
    container_name: 'sc-redis'
    image: redis:latest
    hostname: redis
    volumes:
      - ../data/redis:/data
    command: ["redis-server", "--requirepass", "${REDIS_PASSWORD}"]
    ports:
      - "${HOST_MACHINE_REDIS_PORT}:6379"
    networks:
      - redis-compose-network
  composer:
    image: composer:1.9
    container_name: 'tracking_api_composer'
    command: ["composer", "install"]
    volumes:
        - ./www/tracking:/app
networks: 
  redis-compose-network:
    driver: bridge
        